Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.dom.html2
Class JRexHTMLImageElementImpl

    java.lang.Object
      org.mozilla.jrex.dom.JRexNodeImpl
          org.mozilla.jrex.dom.JRexElementImpl
              org.mozilla.jrex.dom.html2.JRexHTMLElementImpl
                  org.mozilla.jrex.dom.html2.JRexHTMLImageElementImpl

All Implemented Interfaces:
  Element, HTMLElement, HTMLImageElement, Node

public class JRexHTMLImageElementImpl
extends JRexHTMLElementImpl
implements HTMLImageElement

A class implementing org.w3c.dom.html2.JRexHTMLImageElementImpl interface.

Version:
  1.0
Author:
  C.N.Medappa
See Also:
  `html2.JRexHTMLImageElementImpl`

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`String` | `getAlign()` Aligns this object (vertically or horizontally) with respect to its surrounding text.
`String` | `getAlt()` Alternate text for user agents not rendering the normal content of this element.
`String` | `getBorder()` Width of border around image.
`int` | `getHeight()` Height of the image in pixels.
`int` | `getHspace()` Horizontal space to the left and right of this image in pixels.
`boolean` | `getIsMap()` Use server-side image map.
`String` | `getLongDesc()` URI [IETF RFC 2396] designating a long description of this image or frame.
`String` | `getName()` The name of the element (for backwards compatibility).
`String` | `getSrc()` URI [IETF RFC 2396] designating the source of this image.
`String` | `getUseMap()` Use client-side image map.
`int` | `getVspace()` Vertical space above and below this image in pixels.
`int` | `getWidth()` The width of the image in pixels.
`void` | `setAlign(String align)` Aligns this object (vertically or horizontally) with respect to its surrounding text.
`void` | `SetAlign(String align)`
`void` | `setAlt(String alt)` Alternate text for user agents not rendering the normal content of this element.
`void` | `SetAlt(String alt)`
`void` | `setBorder(String border)` Width of border around image.
`void` | `SetBorder(String border)`
`void` | `setHeight(int height)` Height of the image in pixels.
`void` | `SetHeight(int height)`
`void` | `setHspace(int hspace)` Horizontal space to the left and right of this image in pixels.
`void` | `SetHspace(int hspace)`
`void` | `setIsMap(boolean isMap)` Use server-side image map.
`void` | `SetIsMap(boolean isMap)`
`void` | `setLongDesc(String longDesc)` URI [IETF RFC 2396] designating a long description of this image or frame.
`void` | `SetLongDesc(String longDesc)`
`void` | `setName(String name)` The name of the element (for backwards compatibility).
`void` | `SetName(String name)`
`void` | `setSrc(String src)` URI [IETF RFC 2396] designating the source of this image.
`void` | `SetSrc(String src)`
`void` | `setUseMap(String useMap)` Use client-side image map.
`void` | `SetUseMap(String useMap)`
`void` | `setVspace(int vspace)` Vertical space above and below this image in pixels.
`void` | `SetVspace(int vspace)`
`void` | `setWidth(int width)` The width of the image in pixels.
`void` | `SetWidth(int width)`

Methods inherited from class org.mozilla.jrex.dom.html2.JRexHTMLElementImpl
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.mozilla.jrex.dom.JRexElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from class org.mozilla.jrex.dom.JRexNodeImpl
`appendChild, cloneNode, dispose, equals, finalize, getAttributes, getChildNodes, getEventTarget, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, hashCode, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix, toString`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html2.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getName

    public String getName()

  Description copied from interface: `HTMLImageElement`
  The name of the element (for backwards compatibility).

  Specified by:
    `getName` in interface `HTMLImageElement`

### setName

    public void setName(String name)

  Description copied from interface: `HTMLImageElement`
  The name of the element (for backwards compatibility).

  Specified by:
    `setName` in interface `HTMLImageElement`

### getAlign

    public String getAlign()

  Description copied from interface: `HTMLImageElement`
  Aligns this object (vertically or horizontally) with respect to its surrounding text. See the align attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `getAlign` in interface `HTMLImageElement`

### setAlign

    public void setAlign(String align)

  Description copied from interface: `HTMLImageElement`
  Aligns this object (vertically or horizontally) with respect to its surrounding text. See the align attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `setAlign` in interface `HTMLImageElement`

### getAlt

    public String getAlt()

  Description copied from interface: `HTMLImageElement`
  Alternate text for user agents not rendering the normal content of this element. See the alt attribute definition in HTML 4.01.

  Specified by:
    `getAlt` in interface `HTMLImageElement`

### setAlt

    public void setAlt(String alt)

  Description copied from interface: `HTMLImageElement`
  Alternate text for user agents not rendering the normal content of this element. See the alt attribute definition in HTML 4.01.

  Specified by:
    `setAlt` in interface `HTMLImageElement`

### getBorder

    public String getBorder()

  Description copied from interface: `HTMLImageElement`
  Width of border around image. See the border attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01. Note that the type of this attribute was `DOMString` in DOM Level 1 HTML [DOM Level 1] .

  Specified by:
    `getBorder` in interface `HTMLImageElement`

### setBorder

    public void setBorder(String border)

  Description copied from interface: `HTMLImageElement`
  Width of border around image. See the border attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01. Note that the type of this attribute was `DOMString` in DOM Level 1 HTML [DOM Level 1] .

  Specified by:
    `setBorder` in interface `HTMLImageElement`

### getHeight

    public int getHeight()

  Description copied from interface: `HTMLImageElement`
  Height of the image in pixels. See the height attribute definition in HTML 4.01. Note that the type of this attribute was `DOMString` in DOM Level 1 HTML [DOM Level 1].

  Specified by:
    `getHeight` in interface `HTMLImageElement`

### setHeight

    public void setHeight(int height)

  Description copied from interface: `HTMLImageElement`
  Height of the image in pixels. See the height attribute definition in HTML 4.01. Note that the type of this attribute was `DOMString` in DOM Level 1 HTML [DOM Level 1].

  Specified by:
    `setHeight` in interface `HTMLImageElement`

### getHspace

    public int getHspace()

  Description copied from interface: `HTMLImageElement`
  Horizontal space to the left and right of this image in pixels. See the hspace attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01. Note that the type of this attribute was `DOMString` in DOM Level 1 HTML [DOM Level 1].

  Specified by:
    `getHspace` in interface `HTMLImageElement`

### setHspace

    public void setHspace(int hspace)

  Description copied from interface: `HTMLImageElement`
  Horizontal space to the left and right of this image in pixels. See the hspace attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01. Note that the type of this attribute was `DOMString` in DOM Level 1 HTML [DOM Level 1].

  Specified by:
    `setHspace` in interface `HTMLImageElement`

### getIsMap

    public boolean getIsMap()

  Description copied from interface: `HTMLImageElement`
  Use server-side image map. See the ismap attribute definition in HTML 4.01.

  Specified by:
    `getIsMap` in interface `HTMLImageElement`

### setIsMap

    public void setIsMap(boolean isMap)

  Description copied from interface: `HTMLImageElement`
  Use server-side image map. See the ismap attribute definition in HTML 4.01.

  Specified by:
    `setIsMap` in interface `HTMLImageElement`

### getLongDesc

    public String getLongDesc()

  Description copied from interface: `HTMLImageElement`
  URI [IETF RFC 2396] designating a long description of this image or frame. See the longdesc attribute definition in HTML 4.01.

  Specified by:
    `getLongDesc` in interface `HTMLImageElement`

### setLongDesc

    public void setLongDesc(String longDesc)

  Description copied from interface: `HTMLImageElement`
  URI [IETF RFC 2396] designating a long description of this image or frame. See the longdesc attribute definition in HTML 4.01.

  Specified by:
    `setLongDesc` in interface `HTMLImageElement`

### getSrc

    public String getSrc()

  Description copied from interface: `HTMLImageElement`
  URI [IETF RFC 2396] designating the source of this image. See the src attribute definition in HTML 4.01.

  Specified by:
    `getSrc` in interface `HTMLImageElement`

### setSrc

    public void setSrc(String src)

  Description copied from interface: `HTMLImageElement`
  URI [IETF RFC 2396] designating the source of this image. See the src attribute definition in HTML 4.01.

  Specified by:
    `setSrc` in interface `HTMLImageElement`

### getUseMap

    public String getUseMap()

  Description copied from interface: `HTMLImageElement`
  Use client-side image map. See the usemap attribute definition in HTML 4.01.

  Specified by:
    `getUseMap` in interface `HTMLImageElement`

### setUseMap

    public void setUseMap(String useMap)

  Description copied from interface: `HTMLImageElement`
  Use client-side image map. See the usemap attribute definition in HTML 4.01.

  Specified by:
    `setUseMap` in interface `HTMLImageElement`

### getVspace

    public int getVspace()

  Description copied from interface: `HTMLImageElement`
  Vertical space above and below this image in pixels. See the vspace attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01. Note that the type of this attribute was "DOMString" in DOM Level 1 HTML [DOM Level 1].

  Specified by:
    `getVspace` in interface `HTMLImageElement`

### setVspace

    public void setVspace(int vspace)

  Description copied from interface: `HTMLImageElement`
  Vertical space above and below this image in pixels. See the vspace attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01. Note that the type of this attribute was "DOMString" in DOM Level 1 HTML [DOM Level 1].

  Specified by:
    `setVspace` in interface `HTMLImageElement`

### getWidth

    public int getWidth()

  Description copied from interface: `HTMLImageElement`
  The width of the image in pixels. See the width attribute definition in HTML 4.01. Note that the type of this attribute was `DOMString` in DOM Level 1 HTML [DOM Level 1].

  Specified by:
    `getWidth` in interface `HTMLImageElement`

### setWidth

    public void setWidth(int width)

  Description copied from interface: `HTMLImageElement`
  The width of the image in pixels. See the width attribute definition in HTML 4.01. Note that the type of this attribute was `DOMString` in DOM Level 1 HTML [DOM Level 1].

  Specified by:
    `setWidth` in interface `HTMLImageElement`

### SetAlign

    public void SetAlign(String align)
                  throws JRexException

  Throws:
    `JRexException`

### SetAlt

    public void SetAlt(String alt)
                throws JRexException

  Throws:
    `JRexException`

### SetBorder

    public void SetBorder(String border)
                   throws JRexException

  Throws:
    `JRexException`

### SetHeight

    public void SetHeight(int height)
                   throws JRexException

  Throws:
    `JRexException`

### SetHspace

    public void SetHspace(int hspace)
                   throws JRexException

  Throws:
    `JRexException`

### SetIsMap

    public void SetIsMap(boolean isMap)
                  throws JRexException

  Throws:
    `JRexException`

### SetLongDesc

    public void SetLongDesc(String longDesc)
                     throws JRexException

  Throws:
    `JRexException`

### SetName

    public void SetName(String name)
                 throws JRexException

  Throws:
    `JRexException`

### SetSrc

    public void SetSrc(String src)
                throws JRexException

  Throws:
    `JRexException`

### SetUseMap

    public void SetUseMap(String useMap)
                   throws JRexException

  Throws:
    `JRexException`

### SetVspace

    public void SetVspace(int vspace)
                   throws JRexException

  Throws:
    `JRexException`

### SetWidth

    public void SetWidth(int width)
                  throws JRexException

  Throws:
    `JRexException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.